#!/bin/bash



if [ ! -f "reiniciador_pid.txt" ];
then

	echo "reiniciador_pid.txt do not exists"
	exit

fi



pid=`cat reiniciador_pid.txt`

echo "Sigint to pid $pid" 
kill -2 $pid


COUNTER=0
while ps -p $pid > /dev/null
do
	echo "$pid is alive"

	if [ $COUNTER -gt 10 ]; 
	then
		kill -9 $pid
	fi
	sleep 1
	let COUNTER=COUNTER+1 
done

rm reiniciador_pid.txt
