#!/usr/bin/python
# -*- coding: utf-8 -*- 

################################################################################
#
# Servidor Tablon - Load the SRP module
# Asignatura Computación paralela
# Javier Fresno, 2015
#
################################################################################

# Log module
import logging
logger = logging.getLogger('tablon')


#
# Load the SRP module
#
# https://github.com/cocagne/pysrp
try:
	import srp
except ImportError:
	logger.warning("spr module not found - using the version in external dir")
	import _pysrp as srp 


