#include <omp.h>
#include <stdio.h>
#include <stdlib.h>

#define THREADS 3

int main (int argc, char *argv[]) {

	int maxt = omp_get_max_threads();

	printf("Max threads is: %d, I want %d\n", maxt, THREADS);


	omp_set_num_threads(THREADS);

	int tid, tnum;

	#pragma omp parallel private(tnum, tid)
	{
		tid = omp_get_thread_num();
		tnum = omp_get_num_threads();
		printf("Hello World from thread = %d/%d\n", tid, tnum);
	}

	return 0;
}

